/**
 * SO, 2010 - Lab #3, Processes
 * Task #5, Windows
 * 
 * FIFO
 */

#include "utils.h"

#define N 23

int main() {
	HANDLE hPipe;
	int result = EXIT_SUCCESS, n = N;
	DWORD dwBytes;

	hPipe = CreateFile(
		PIPE_NAME,   // pipe name 
		GENERIC_WRITE, // write access
		0,              // no sharing
		NULL,           // default security attributes
		OPEN_EXISTING,  // opens existing pipe
		0,              // default attributes
		NULL);          // no template file 

	CHECK(hPipe != INVALID_HANDLE_VALUE, "CreateFile", done);

	CHECK(
		WriteFile(
			hPipe,
			&n,
			sizeof(n),
			&dwBytes,
			NULL),
		"WriteFile",
		close_handle);

close_handle:

	CloseHandle(hPipe);

done:

	return result;
}
